import { Puppeteer } from "puppeteer";

export default async function (html) {
  
  const browser = await Puppeteer.launch();
  const page = await browser.newPage();

  await page.setContent(html);
  const file = await page.screenshot({ type: "png" });

  await page.close();
  await browser.close();

  return file;
}